Activity log for bug #1071354

Date Who What changed Old value New value Message
2012-10-25 15:16:03 Alex Valavanis bug added bug
2012-10-25 15:16:10 Alex Valavanis inkscape: importance Undecided Medium
2012-11-30 18:44:51 Alex Valavanis bug watch added https://bugzilla.gnome.org/show_bug.cgi?id=689371
2012-11-30 18:45:07 Alex Valavanis summary Inkscape uses deprecated GtkHSV widget Drop use of deprecated GtkHSV widget
2012-11-30 18:45:25 Alex Valavanis bug task added gimp
2012-11-30 18:46:15 Alex Valavanis description We currently use the GtkHSV widget to provide a "color wheel" in widgets/sp-color-wheel-selector.cpp. This widget is deprecated in GTK+ 3 [1] and will eventually be removed. We will need to adapt our code accordingly Options: 1. Drop our color-wheel widget entirely; only use color-scales instead. 2. Adopt the GtkHSV code, and maintain it ourselves. 3. Make our own replacement color-wheel widget 4. Other suggestions...?? [1] http://developer.gnome.org/gtk3/3.6/GtkHSV.html Gimp and Inkscape currently use the GtkHSV widget to provide a "color wheel" * Inkscape: widgets/sp-color-wheel-selector.cpp. * GIMP: modules/color-selector-wheel.c This widget is deprecated in GTK+ 3 [1] and will eventually be removed. We will need to adapt our code accordingly Options: 1. Drop our color-wheel widget entirely; only use color-scales instead. 2. Adopt the GtkHSV code, and maintain it ourselves. 3. Make our own replacement color-wheel widget 4. Other suggestions...?? [1] http://developer.gnome.org/gtk3/3.6/GtkHSV.html
2012-11-30 19:46:58 Bug Watch Updater gimp: status Unknown Confirmed
2012-11-30 19:46:58 Bug Watch Updater gimp: importance Unknown Low
2012-12-01 18:06:19 Alex Valavanis inkscape: assignee Alex Valavanis (valavanisalex)
2013-01-06 09:24:57 Bug Watch Updater gimp: status Confirmed Fix Released
2013-01-06 13:19:20 Alex Valavanis inkscape: status Triaged In Progress
2013-01-06 13:20:21 Alex Valavanis attachment added fix-1071354.patch https://bugs.launchpad.net/inkscape/+bug/1071354/+attachment/3475438/+files/fix-1071354.patch
2013-01-06 22:22:21 su_v attachment added 1071354-r12010-bt-full-gtk-3_4_4-x11-osx-64bit.txt https://bugs.launchpad.net/inkscape/+bug/1071354/+attachment/3475684/+files/1071354-r12010-bt-full-gtk-3_4_4-x11-osx-64bit.txt
2013-01-06 22:22:36 su_v attachment added 1071354-r12010-bt-full-gtk-3_6_3-quartz-osx-64bit.txt https://bugs.launchpad.net/inkscape/+bug/1071354/+attachment/3475685/+files/1071354-r12010-bt-full-gtk-3_6_3-quartz-osx-64bit.txt
2013-01-08 12:06:48 Launchpad Janitor branch linked lp:inkscape
2013-01-08 12:12:47 Alex Valavanis inkscape: status In Progress Fix Committed
2013-01-08 12:12:47 Alex Valavanis inkscape: milestone 0.49
2015-02-21 02:49:46 Bryce Harrington inkscape: status Fix Committed Fix Released